Subject: Re: FVWM: Two bug I found in FvwmButtons with panel (Fvwm-2.1.4)

From: Guangyong Xu <[email-masked]>
Date: Sun, 6 Dec 1998 02:25:06 -0500 (EST)

Thanks for the reply. I think you have a point there. However, the second
one I mentioned, maybe there could be an option to control the actions of
the panels (i.e., the user can specify if the panels will withdraw or not
after a button is pressed?)

There is one more thing I found out today. It looks like the buttonbars in
the panel do not have support for *FvwmButtonPixmap. This works for my
root panel, but no other panels could use a pixmap background. Was it
designed to be that way or just forgotten:-)?

all the best,
-g

On Sat, 5 Dec 1998, Jui-Hsuan Feng wrote:

> Hi,
> 
> These are not really bugs. I expect them will behave like this. :)
> 
> 
> My solution: Press the button "Softwares" to bring up the "Softwares" panel,
> then press "Audio" to close up the hanging "Audio" panel. :)
> In fact, if there are two bottons that invoke the same "Audio" panel and
> are pressed, one will bring up the panel and the other will hide
it. Otherwise
> showing two identical panels is kind of waste of resource, which is against
> the philosophy of Fvwm. So all the panels are of the same rank, the only
> parent they have is the root/main panel. However, if two panels are designed
> identically with different names, they can show up at the same time.
> 
> 
> > The second bug: if I bring out more in one panels at a time such as
> > "Terminal", "Softwares", "PPP", etc., and press a button in any of these
> > panel bars, as the command gets executed, all the panels disappear! I
> > believe the right way is either the panel with the button I pressed should
> > disappear and the others should remain, or they should all remain until
> > being pulled back manually. 
> >
> 
> We can argue about this. Usaully I search for a certain button, when I find
> it, I can invoke the application without going back to close all those panels,
> since they take up space and you don't want them to stay there after you
> find the button you want. The CDE's panels sure have the behavior you described.
> But I think some of the CDE's features are not that good; for example, the
> FvwmPager is a lot better than the CDE's only 4 windows, amoung which you
> can not drag one application window to another. And what you found is the
> CDE's convetion I don't want to stick to. Anyhow, just my opnion.
> 
> > Did anyone else on other systems experience the same thing? I'd like to
> > know if this is a bug of the program. Thanks.
> > 
> > Best wishes,
> > G.Xu
> > 
> >       

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].